# An den Print-Zeilen nicht stören, die bekommt als Dienst eh keiner zu Gesicht. Es hilft jedoch ungemein die Funktion des Skriptes nach zu vollziehen.



# Und wieder eine, immer verhasste, Endlosschleife (Da die Bedingung "war" (engl. TRUE) ja erfüllt ist, tuhe nachfolgendes ...).

while true
  do

	echo "Watchdog schläft ..."

# Zuerst ruht der Watchdog für einige Zeit:
	sleep 15m # <============================ Hier wird die Zeit festgelegt! 15m = 15 Minuten, 15h = 15 Stunden, usw. es gehen auch Komma-Zahlen.

	echo "Watchdog ist erwacht und beginnt zu schnüffeln ... ;-)"

# Die Start-Order wird ermittelt
	FILE=/var/www/datenbank/startorder.gw
	STARTORDER=`head -n 1 $FILE`

# Die PID für beide Clienten und den Server wird nun ermittelt:
	PidClient1="`ps ax | grep FRNClient1 | grep -v grep | awk '{print $1}'`"
	PidClient2="`ps ax | grep FRNClient2 | grep -v grep | awk '{print $1}'`"
	PidServer="`ps ax | grep FRNServerConsole | grep -v grep | awk '{print $1}'`"


#Es wird nach Client 1 geschaut:
	if [ "$PidClient1" != "" ]
	  then
	    echo "FRNClient1 läuft, alles OK, es wird nichts unternommen! "
	  else
	    echo "FRNClient1 läuft NICHT!!! Dies wird dem Startskript gemeldet und dieses prüft, ob er laufen soll und handelt entsprechend."
		service PiCQ1 start
	fi


#Es wird nach Client 2 geschaut:
	if [ "$PidClient2" != "" ]
	  then
		  echo "FRNClient2 läuft, alles OK, es wird nichts unternommen! "
	  else
		  echo "FRNClient2 läuft NICHT!!! Dies wird dem Startskript gemeldet und dieses prüft, ob er laufen soll und handelt entsprechend."
		  service PiCQ2 start
	fi


#Es wird nach dem Server geschaut:
	if [ "$PidServer" != "" ]
	  then
		  echo "Der FRN Server läuft, alles OK, es wird nichts unternommen! "
	  else
		  echo "Der FRNServer läuft NICHT!!! Dies wird dem Startskript gemeldet und dieses prüft, ob er laufen soll und handelt entsprechend."
		  service FRNServer start
	fi


# Verabschiedung. Watchdog ist zwar ein dummer Hund, aber höflich. ;-)
	
	echo "Watchdog legt sich wieder ins Körbchen und wünscht gute Nacht. ;-)"

# Hier wird das Ende der Schleife definiert und damit beginnt das Skript wieder von Anfang an.
done
